<blur-section>

    <blur-column>
        <blur-section
            gap
            padding
            :style="viewStyle({
                mobile: { borderBottom: '1px solid var(--color-border-primary-default)' },
            })">

            <blur-column
                :cols-tablet="6">

                <blur-number-input 
                    :label="$tc('blurElysiumSlides.forms.slideWidth.label')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('content.maxWidth', $t('blurElysium.general.noLimit'))"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.content.maxWidth"
                    @update-value="value => viewportSettings.content.maxWidth = value" /> 
            </blur-column>
        </blur-section>
    </blur-column>

    <blur-column
        :cols-desktop="6">

        <blur-section
            gap
            padding
            :title="$tc('blurElysium.general.spacing')"
            title-icon="blurph-ruler-bold"
            :style="viewStyle({
                mobile: { borderBottom: '1px solid #ddd' },
                desktop: { borderBottom: 'none' },
            })">

            <blur-column
                :cols-tablet="6"
                :cols-desktop="6">

                <blur-number-input 
                    :label="$tc('blurElysium.general.paddingX')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('content.paddingX', 15)"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.content.paddingX"
                    @update-value="value => viewportSettings.content.paddingX = value" />
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="6">

                <blur-number-input 
                    :label="$tc('blurElysium.general.paddingY')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('content.paddingY', 0)"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.content.paddingY"
                    @update-value="value => viewportSettings.content.paddingY = value" /> 
            </blur-column>
        </blur-section>
    </blur-column>

    <blur-column
        :cols-desktop="6">

        <blur-section
            gap
            padding
            :title="$tc('blurElysium.general.alignment')"
            title-icon="blurph-arrows-out-line-horizontal-bold">

            <blur-column
                :cols-tablet="6"
                :cols-desktop="6">

                <blur-select-input 
                    :label="$tc('blurElysium.general.textAlign')" 
                    :placeholder="viewportsPlaceholder('content.textAlign', 'left', 'blurElysium.general')"
                    :device="currentDevice"
                    :show-device="true"
                    :options="[
                        { value: 'left', label: $tc('blurElysium.general.left') },
                        { value: 'center', label: $tc('blurElysium.general.center') },
                        { value: 'right', label: $tc('blurElysium.general.right') }
                    ]"
                    @on-device="deviceSwitch"
                    v-model:value="viewportSettings.content.textAlign" />
            </blur-column>
        </blur-section>
    </blur-column>
</blur-section>